package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckDTO extends Object {

    //科室名称
    @Excel(name = "科室", width = 20, orderNum = "1")
    private String deptName;
    //科室id
    private String deptId;

    //医生
    @Excel(name = "医疗组", width = 11, orderNum = "2")
    private String doctorName;

    //目标字符串
    @JsonIgnore
    private String casesEntryId;

    //条目id数量
    private String numId;

    //入院记录未24小时内
    @Excel(name = "入院记录24小时内", width = 16, orderNum = "3")
    private Integer ryjlw_24 = 0;

    //首次病程记录未8小时内
    @Excel(name = "首次病程记录8小时内", width = 18, orderNum = "4")
    private Integer scbcjlw_8h = 0;

    @Excel(name = "副主任/主任医师首次查房72小时内完成", width = 20, orderNum = "5")
    //副主任/主任医师首次查房72小时内未完成
    private Integer zrsccfw_72h= 0;

    //入院后未连记3天病程
    @Excel(name = "入院后连记3天病程", width = 16, orderNum = "6")
    private Integer ryhljbcw_3d= 0;

    //每周未至少2次副主任/主任医师查房
    @Excel(name = "每周至少2次副主任/主任医师查房", width = 20, orderNum = "7")
    private Integer zrcfw_2w= 0;

    //每周未至少3次主治医师查房记录
    @Excel(name = "每周至少3次主治医师查房记录", width = 20, orderNum = "8")
    private Integer zzcfw_3w= 0;

    //抢救记录未6小时内完成
    @Excel(name = "抢救记录6小时内完成", width = 15, orderNum = "9")
    private Integer qjjlw_6h= 0;

    //会诊记录在会诊申请后未24小时完成
    @Excel(name = "会诊记录在会诊申请后24小时完成", width = 20, orderNum = "10")
    private Integer hzjlw_24h= 0;

    //术前讨论、术前小结未完成
    @Excel(name = "术前讨论、术前小结完成", width = 15, orderNum = "11")
    private Integer sqtlxjw= 0;

    //手术记录术后24小时内未完成
    @Excel(name = "手术记录术后24小时内完成", width = 15, orderNum = "12")
    private Integer sxjlsw_24h= 0;

    //术后首程在术后30分钟内未完成
    @Excel(name = "术后首程在术后30分钟内完成", width = 15, orderNum = "13")
    private Integer xhscw_30m= 0;

    //术后主刀查房24小时内未完成
    @Excel(name = "术后主刀查房24小时内完成", width = 15, orderNum = "14")
    private Integer shzdcfw_24h= 0;

    //术后未连记3天病程
    @Excel(name = "术后连记3天病程(包括术后首程)", width = 15, orderNum = "15")
    private Integer shjbcw_3d= 0;

    //转科后未连记3天病程
    @Excel(name = "转科后连记3天病程(包括专科记录)", width = 15, orderNum = "16")
    private Integer zkjbcw_3d= 0;

    //转接科记录专科后24小时内未完成
    @Excel(name = "转接科记录专科后24小时内完成", width = 15, orderNum = "17")
    private Integer zkjlw_24= 0;

    //病危/重患者未每日记录病程
    @Excel(name = "病危/重患者每日记录病程", width = 15, orderNum = "18")
    private Integer bwzhjlbcw_md= 0;

    //输血后未完成输血记录
    @Excel(name = "输血后完成输血记录", width = 15, orderNum = "20")
    private Integer sxhwjl= 0;

    //24小时未完成输血后评价
    @Excel(name = "24小时完成输血后评价", width = 15, orderNum = "20")
    private Integer sxpjw_24= 0;

    //危急值未记录
    @Excel(name = "危急值记录", width = 15, orderNum = "21")
    private Integer wjzwjl= 0;

    //住院30天未阶段小结
    @Excel(name = "住院30天阶段小结", width = 16, orderNum = "22")
    private Integer wywwcxj= 0;







}
