package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckTitleDTO {



    //字符串目标id集
    @Excel(name = "字符串目标id集",isColumnHidden = true,needMerge = true)
    private String casesEntryId;

    //字符串目标条目集
    @Excel(name = "字符串目标条目集",isColumnHidden = true,needMerge = true)
    private String casesEntryName;

    //医疗组
    @Excel(name = "医疗组",width = 12)
    private String doctorName;

    //入院记录未24小时内
    @Excel(name = "入院记录24小时内",width = 16)
    private Integer ryjlw_24 = 0;

    //首次病程记录未8小时内
    @Excel(name = "首次病程记录8小时内",width = 17)
    private Integer scbcjlw_8h = 0;

    @Excel(name = "副主任/主任医师首次查房72小时内完成",width = 18)
    //副主任/主任医师首次查房72小时内未完成
    private Integer zrsccfw_72h= 0;

    //入院后未连记3天病程
    @Excel(name = "入院后连记3天病程(不包括术后首程)",width = 18)
    private Integer ryhljbcw_3d= 0;

    //每周至少2次副主任/主任医师查房
    @Excel(name = "每周至少2次副主任/主任医师查房",width = 16)
    private Integer zrcfw_2w= 0;

    //每周至少3次主治医师查房记录
    @Excel(name = "每周至少3次主治医师查房记录",width = 16)
    private Integer zzcfw_3w= 0;

    //抢救记录未6小时内完成
    @Excel(name = "抢救记录6小时内完成",width = 15)
    private Integer qjjlw_6h= 0;

    //会诊记录在会诊申请后未24小时完成
    @Excel(name = "会诊记录在会诊申请后24小时完成",width = 16)
    private Integer hzjlw_24h= 0;

    //术前讨论、术前小结未完成
    @Excel(name = "术前讨论、术前小结完成",width = 15)
    private Integer sqtlxjw= 0;

    //手术记录术后24小时内未完成
    @Excel(name = "手术记录术后24小时内完成",width = 15)
    private Integer sxjlsw_24h= 0;

    //术后首程在术后30分钟内未完成
    @Excel(name = "术后首程在术后30分钟内完成",width = 16)
    private Integer xhscw_30m= 0;

    //术后主刀查房24小时内未完成
    @Excel(name = "术后主刀查房24小时内完成",width = 15)
    private Integer shzdcfw_24h= 0;

    //术后未连记3天病程
    @Excel(name = "术后连记3天病程(包括术后首程)",width = 16)
    private Integer shjbcw_3d= 0;

    //转科后未连记3天病程
    @Excel(name = "转科后连记3天病程(包括专科记录)",width =16)
    private Integer zkjbcw_3d= 0;

    //转接科记录专科后24小时内未完成
    @Excel(name = "转接科记录专科后24小时内完成",width = 16)
    private Integer zkjlw_24= 0;

    //病危/重患者未每日记录病程
    @Excel(name = "病危/重患者每日记录病程",width = 15)
    private Integer bwzhjlbcw_md= 0;

    //输血后未完成输血记录
    @Excel(name = "输血后完成输血记录",width = 15)
    private Integer sxhwjl= 0;

    //24小时未完成输血后评价
    @Excel(name = "24小时完成输血后评价",width = 15)
    private Integer sxpjw_24= 0;

    //危急值未记录
    @Excel(name = "危急值记录",width = 15)
    private Integer wjzwjl= 0;

    //住院30天未阶段小结
    @Excel(name = "住院30天阶段小结",width = 16)
    private Integer wywwcxj= 0;






}
